Make the RevisionSlider a beta feature on all wikis
Closed, ResolvedPublic1 Story Points

Description

Motivation:
The RevisionSlider is a stable beta feature on 5 wikis so far, with more than a 1000 users[1]. It should now become a beta feature on all wikis, so the community can try it out to decide if this should become a permanent feature.

Time plan:
The RevisionSlider should become a beta feature at the end of August (likely week 35).
As per the deployment plan discussed in T138943: Deploy Revision Slider on test Wikipedia , we want to have a decision whether or not to enable it as a default by December.

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

[1]https://grafana.wikimedia.org/dashboard/db/mediawiki-revisionslider

Lea_WMDE created this task.Aug 19 2016, 2:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2016, 2:51 PM

Change 305653 had a related patch set uploaded (by Addshore):
Enable RevisionSlider BetaFeature on all wikis

https://gerrit.wikimedia.org/r/305653

Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Aug 22 2016, 9:55 AM
Lea_WMDE moved this task from Incoming to Backlog on the Revision-Slider board.Aug 29 2016, 4:13 PM
WMDE-leszek set the point value for this task to 1.Aug 31 2016, 1:59 PM
Addshore claimed this task.

Change 305653 merged by jenkins-bot:
Enable RevisionSlider BetaFeature on all wikis

https://gerrit.wikimedia.org/r/305653

Addshore closed this task as Resolved.

deployed

Addshore moved this task from Backlog to Done on the Revision-Slider board.Sep 13 2016, 2:51 PM